# geoint-py
A bunch of geospatial intelligence workflows implemented using Python.

## Features
### Create a rectangular spatial grid for binning

![spatial_binning](https://github.com/gisfromscratch/geoint-py/raw/main/spatial_bin.png)
© GDI-TH, Esri, HERE, Garmin, FAO, NOAA, USGS - Powered by Esri

### Visualize broadcasted news related to protests/demonstrations using the geoprotests API

![image](https://user-images.githubusercontent.com/921231/148814513-aca39739-30f3-4f90-8968-66e43c2434f1.png)
![image](https://user-images.githubusercontent.com/921231/148814733-80874ff0-626c-46c4-82d7-9fd439809f42.png)

## Usage
Take a look at the following jupyter notebooks:
- [Sample binning](https://github.com/gisfromscratch/geoint-py/blob/main/Samples.ipynb)
- [Sample geoprotests API](https://github.com/gisfromscratch/geoint-py/blob/main/Samples-Cloud.ipynb)

## References
- [ArcGIS API for Python](https://developers.arcgis.com/python/)
- [geoprotests API](https://rapidapi.com/gisfromscratch/api/geoprotests/)

### Geospatial Intelligence Publications
- [Getting insights from political violence and protests around the world](https://gisfromscratch.medium.com/getting-insights-from-political-violence-and-protests-around-the-world-the-geospatial-ramp-up-5b35ba91d13)
- [Geospatial Intelligence @ Medium](https://medium.com/geospatial-intelligence)
